# Mssql Connection Properties

## `host` (string, required)

The hostname or ip address of the MSSQL server

Example: `"example.org"`

## `port` (integer)

The port of the MSSQL server

Default: `1433`

Example: `1433`

## `username` (string, required)

The username to connect to the MSSQL server

## `password` (string, required)

The password to connect to the MSSQL server

## `domain` (string)

The domain to use

## `database` (string, required)

The database to use

## `protocol` (string, enum)

Specifies the TDS (Tabular Data Stream) protocol version for the MSSQL server connection. TDS is a protocol that is used to transfer data between clients and MSSQL servers. Set this to one of the following values. Make sure to select a TDS version that is compatible with your MSSQL instance to ensure proper functionality.

This element must be one of the following enum values:

* `7_1`
* `7_2`
* `7_3_A`
* `7_3_B`
* `7_4`

Default: `"7_4"`

## `useEncryption` (boolean)

Use encryption for the connection to the MSSQL server

Default: `true`

## `assumeUTC` (boolean)

Assume UTC values for the connection

Default: `true`

## `connectTimeout` (integer)

The number of milliseconds before the attempt to connect is considered failed

Default: `15000`

## `requestTimeout` (integer)

The number of milliseconds before a request is considered failed, or 0 for no timeout

Default: `15000`

## `cancelTimeout` (integer)

The number of milliseconds before the cancel (abort) of a request is considered failed

Default: `5000`

## `maxPoolSize` (integer)

The maximum number of connection mantained in the connection pool

Default: `5`

## `connectionStrategy` (object)

If a connection attempt fails, retries will be performed with increasing delay (waiting time) in between. The following parameters control how these delays behave.

Properties of the `connectionStrategy` object:

#### `initialDelay` (integer)

Delay (waiting time) of the first connection retry (in milliseconds). For subsequent retries, the delay will be increased according to the parameter incrementFactor which has a default value of 2.

Default: `1000`

Additional restrictions:

* Minimum: `1000`

#### `maxDelay` (integer)

Maximum delay (waiting time) to wait until the next retry (in milliseconds). The delay (waiting time) for any subsequent connection retry will not be larger than this value. Must be strictly greater than initialDelay.

Default: `30000`

#### `incrementFactor` (integer)

The factor used to increment initialDelay up to maxDelay. For example if initialDelay is set to 1000 and maxDelay to 5000 the values for the delay would be 1000, 2000, 4000, 5000.

Default: `2`

Additional restrictions:

* Minimum: `2`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/2-1-2/connectors/enterprise-connectors/mssql/mssqlconnection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
